Name: xsu
Version: 0.2.3
Release: alt2

Summary: Gnome Xsu is an interface for `su - username -c command` in Gnome.
License: GPL
Group: System/Base
Source: http://xsu.freax.eu.org/files/%name-%version.tar.gz

# Automatically added by buildreq on Sat Sep 13 2003
BuildRequires: XFree86-devel esound-devel glib-devel gnome-libs-devel gtk+-devel imlib-devel libaudiofile-devel libdb1-devel su

%description
xsu Is an interface for `su - username -c command` in Gnome. 
When the user executes xsu, he will be prompted for a command, a
username and a password.

%prep
%setup -q

%build
%configure
%make_build

%install

install -d 644 $RPM_BUILD_ROOT%_menudir
cat << EOF > $RPM_BUILD_ROOT%_menudir/%name
?package(%name): needs=x11 section=Configuration/Other title="Run as different user (xsu)" command=%_bindir/xsu
EOF
install -p -m755 -D bin/xsu $RPM_BUILD_ROOT%_bindir/xsu
install -p -m644 -D doc/man/xsu.8 $RPM_BUILD_ROOT%_man8dir/xsu.8

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_man8dir/*
%_menudir/*
%doc AUTHORS CHANGELOG INSTALL README doc/*

%changelog
* Sat Sep 13 2003 Alex Murygin <murygin@altlinux.ru> 0.2.3-alt2
- regenerated buildreq
- minor spec cleaning

* Wed Apr 30 2003 Alex Murygin <murygin@altlinux.ru> 0.2.3-alt1
- Initial revision.

